diff --git a/gcc/ipa-split.c b/gcc/ipa-split.c
index 5df14ec..2bd45fb 100644
--- a/gcc/ipa-split.c
+++ b/gcc/ipa-split.c
@@ -1217,20 +1217,20 @@ split_function (struct split_point *split_point)
   /* For usual cloning it is enough to clear builtin only when signature
      changes.  For partial inlining we however can not expect the part
      of builtin implementation to have same semantic as the whole.  */
-  if (DECL_BUILT_IN (node->symbol.decl))
+  if (DECL_BUILT_IN (node->decl))
     {
-      DECL_BUILT_IN_CLASS (node->symbol.decl) = NOT_BUILT_IN;
-      DECL_FUNCTION_CODE (node->symbol.decl) = (enum built_in_function) 0;
+      DECL_BUILT_IN_CLASS (node->decl) = NOT_BUILT_IN;
+      DECL_FUNCTION_CODE (node->decl) = (enum built_in_function) 0;
     }
   /* If the original function is declared inline, there is no point in issuing
      a warning for the non-inlinable part.  */
-  DECL_NO_INLINE_WARNING_P (node->symbol.decl) = 1;
+  DECL_NO_INLINE_WARNING_P (node->decl) = 1;
   cgraph_node_remove_callees (cur_node);
-  ipa_remove_all_references (&cur_node->symbol.ref_list);
+  ipa_remove_all_references (&cur_node->ref_list);
   if (!split_part_return_p)
-    TREE_THIS_VOLATILE (node->symbol.decl) = 1;
+    TREE_THIS_VOLATILE (node->decl) = 1;
   if (dump_file)
-    dump_function_to_file (node->symbol.decl, dump_file, dump_flags);
+    dump_function_to_file (node->decl, dump_file, dump_flags);
 
   /* Create the basic block we place call into.  It is the entry basic block
      split after last label.  */
@@ -1255,7 +1255,7 @@ split_function (struct split_point *split_point)
 					false, GSI_CONTINUE_LINKING);
 	args_to_pass[i] = arg;
       }
-  call = gimple_build_call_vec (node->symbol.decl, args_to_pass);
+  call = gimple_build_call_vec (node->decl, args_to_pass);
   gimple_set_block (call, DECL_INITIAL (current_function_decl));
   args_to_pass.release ();
 
@@ -1282,7 +1282,7 @@ split_function (struct split_point *split_point)
 	    continue;
 
 	  if (debug_args == NULL)
-	    debug_args = decl_debug_args_insert (node->symbol.decl);
+	    debug_args = decl_debug_args_insert (node->decl);
 	  ddecl = make_node (DEBUG_EXPR_DECL);
 	  DECL_ARTIFICIAL (ddecl) = 1;
 	  TREE_TYPE (ddecl) = TREE_TYPE (parm);
@@ -1308,8 +1308,8 @@ split_function (struct split_point *split_point)
       gimple_stmt_iterator cgsi;
       gimple def_temp;
 
-      push_cfun (DECL_STRUCT_FUNCTION (node->symbol.decl));
-      var = BLOCK_VARS (DECL_INITIAL (node->symbol.decl));
+      push_cfun (DECL_STRUCT_FUNCTION (node->decl));
+      var = BLOCK_VARS (DECL_INITIAL (node->decl));
       i = vec_safe_length (*debug_args);
       cgsi = gsi_after_labels (single_succ (ENTRY_BLOCK_PTR));
       do
@@ -1509,7 +1509,7 @@ execute_split_functions (void)
 	fprintf (dump_file, "Not splitting: not inlinable.\n");
       return 0;
     }
-  if (DECL_DISREGARD_INLINE_LIMITS (node->symbol.decl))
+  if (DECL_DISREGARD_INLINE_LIMITS (node->decl))
     {
       if (dump_file)
 	fprintf (dump_file, "Not splitting: disregarding inline limits.\n");
@@ -1543,8 +1543,8 @@ execute_split_functions (void)
   if ((!node->callers
        /* Local functions called once will be completely inlined most of time.  */
        || (!node->callers->next_caller && node->local.local))
-      && !node->symbol.address_taken
-      && (!flag_lto || !node->symbol.externally_visible))
+      && !node->address_taken
+      && (!flag_lto || !node->externally_visible))
     {
       if (dump_file)
 	fprintf (dump_file, "Not splitting: not called directly "
diff --git a/gcc/ipa-utils.c b/gcc/ipa-utils.c
index e2e1690..2a366cf 100644
--- a/gcc/ipa-utils.c
+++ b/gcc/ipa-utils.c
@@ -86,7 +86,7 @@ searchc (struct searchc_env* env, struct cgraph_node *v,
 	 bool (*ignore_edge) (struct cgraph_edge *))
 {
   struct cgraph_edge *edge;
-  struct ipa_dfs_info *v_info = (struct ipa_dfs_info *) v->symbol.aux;
+  struct ipa_dfs_info *v_info = (struct ipa_dfs_info *) v->aux;
 
   /* mark node as old */
   v_info->new_node = false;
@@ -107,11 +107,11 @@ searchc (struct searchc_env* env, struct cgraph_node *v,
       if (!w || (ignore_edge && ignore_edge (edge)))
         continue;
 
-      if (w->symbol.aux
+      if (w->aux
 	  && (avail > AVAIL_OVERWRITABLE
 	      || (env->allow_overwritable && avail == AVAIL_OVERWRITABLE)))
 	{
-	  w_info = (struct ipa_dfs_info *) w->symbol.aux;
+	  w_info = (struct ipa_dfs_info *) w->aux;
 	  if (w_info->new_node)
 	    {
 	      searchc (env, w, ignore_edge);
@@ -136,7 +136,7 @@ searchc (struct searchc_env* env, struct cgraph_node *v,
       struct ipa_dfs_info *x_info;
       do {
 	x = env->stack[--(env->stack_size)];
-	x_info = (struct ipa_dfs_info *) x->symbol.aux;
+	x_info = (struct ipa_dfs_info *) x->aux;
 	x_info->on_stack = false;
 	x_info->scc_no = v_info->dfn_number;
 
@@ -190,20 +190,20 @@ ipa_reduced_postorder (struct cgraph_node **order,
 	      && (avail == AVAIL_OVERWRITABLE)))
 	{
 	  /* Reuse the info if it is already there.  */
-	  struct ipa_dfs_info *info = (struct ipa_dfs_info *) node->symbol.aux;
+	  struct ipa_dfs_info *info = (struct ipa_dfs_info *) node->aux;
 	  if (!info)
 	    info = XCNEW (struct ipa_dfs_info);
 	  info->new_node = true;
 	  info->on_stack = false;
 	  info->next_cycle = NULL;
-	  node->symbol.aux = info;
+	  node->aux = info;
 
 	  splay_tree_insert (env.nodes_marked_new,
 			     (splay_tree_key)node->uid,
 			     (splay_tree_value)node);
 	}
       else
-	node->symbol.aux = NULL;
+	node->aux = NULL;
     }
   result = splay_tree_min (env.nodes_marked_new);
   while (result)
@@ -228,10 +228,10 @@ ipa_free_postorder_info (void)
   FOR_EACH_DEFINED_FUNCTION (node)
     {
       /* Get rid of the aux information.  */
-      if (node->symbol.aux)
+      if (node->aux)
 	{
-	  free (node->symbol.aux);
-	  node->symbol.aux = NULL;
+	  free (node->aux);
+	  node->aux = NULL;
 	}
     }
 }
@@ -247,7 +247,7 @@ ipa_get_nodes_in_cycle (struct cgraph_node *node)
   while (node)
     {
       v.safe_push (node);
-      node_dfs_info = (struct ipa_dfs_info *) node->symbol.aux;
+      node_dfs_info = (struct ipa_dfs_info *) node->aux;
       node = node_dfs_info->next_cycle;
     }
   return v;
@@ -282,21 +282,21 @@ ipa_reverse_postorder (struct cgraph_node **order)
      to be output and put them into order as well, so we get dependencies
      right through inline functions.  */
   FOR_EACH_FUNCTION (node)
-    node->symbol.aux = NULL;
+    node->aux = NULL;
   for (pass = 0; pass < 2; pass++)
     FOR_EACH_FUNCTION (node)
-      if (!node->symbol.aux
+      if (!node->aux
 	  && (pass
-	      || (!node->symbol.address_taken
+	      || (!node->address_taken
 		  && !node->global.inlined_to
-		  && !node->symbol.alias && !node->thunk.thunk_p
+		  && !node->alias && !node->thunk.thunk_p
 		  && !cgraph_only_called_directly_p (node))))
 	{
 	  stack_size = 0;
           stack[stack_size].node = node;
 	  stack[stack_size].edge = node->callers;
 	  stack[stack_size].ref = 0;
-	  node->symbol.aux = (void *)(size_t)1;
+	  node->aux = (void *)(size_t)1;
 	  while (stack_size >= 0)
 	    {
 	      while (true)
@@ -310,12 +310,12 @@ ipa_reverse_postorder (struct cgraph_node **order)
 		      /* Break possible cycles involving always-inline
 			 functions by ignoring edges from always-inline
 			 functions to non-always-inline functions.  */
-		      if (DECL_DISREGARD_INLINE_LIMITS (edge->caller->symbol.decl)
+		      if (DECL_DISREGARD_INLINE_LIMITS (edge->caller->decl)
 			  && !DECL_DISREGARD_INLINE_LIMITS
-			    (cgraph_function_node (edge->callee, NULL)->symbol.decl))
+			    (cgraph_function_node (edge->callee, NULL)->decl))
 			node2 = NULL;
 		    }
-		  for (;ipa_ref_list_referring_iterate (&stack[stack_size].node->symbol.ref_list,
+		  for (;ipa_ref_list_referring_iterate (&stack[stack_size].node->ref_list,
 						       stack[stack_size].ref,
 						       ref) && !node2;
 		       stack[stack_size].ref++)
@@ -325,12 +325,12 @@ ipa_reverse_postorder (struct cgraph_node **order)
 		    }
 		  if (!node2)
 		    break;
-		  if (!node2->symbol.aux)
+		  if (!node2->aux)
 		    {
 		      stack[++stack_size].node = node2;
 		      stack[stack_size].edge = node2->callers;
 		      stack[stack_size].ref = 0;
-		      node2->symbol.aux = (void *)(size_t)1;
+		      node2->aux = (void *)(size_t)1;
 		    }
 		}
 	      order[order_pos++] = stack[stack_size--].node;
@@ -338,7 +338,7 @@ ipa_reverse_postorder (struct cgraph_node **order)
 	}
   free (stack);
   FOR_EACH_FUNCTION (node)
-    node->symbol.aux = NULL;
+    node->aux = NULL;
   return order_pos;
 }
 
@@ -467,7 +467,7 @@ dump_cgraph_node_set (FILE *f, cgraph_node_set set)
   for (iter = csi_start (set); !csi_end_p (iter); csi_next (&iter))
     {
       struct cgraph_node *node = csi_node (iter);
-      fprintf (f, " %s/%i", cgraph_node_name (node), node->symbol.order);
+      fprintf (f, " %s/%i", cgraph_node_name (node), node->order);
     }
   fprintf (f, "\n");
 }
@@ -629,12 +629,12 @@ void
 ipa_merge_profiles (struct cgraph_node *dst,
 		    struct cgraph_node *src)
 {
-  tree oldsrcdecl = src->symbol.decl;
+  tree oldsrcdecl = src->decl;
   struct function *srccfun, *dstcfun;
   bool match = true;
 
-  if (!src->symbol.definition
-      || !dst->symbol.definition)
+  if (!src->definition
+      || !dst->definition)
     return;
   if (src->frequency < dst->frequency)
     src->frequency = dst->frequency;
@@ -643,8 +643,8 @@ ipa_merge_profiles (struct cgraph_node *dst,
   if (cgraph_dump_file)
     {
       fprintf (cgraph_dump_file, "Merging profiles of %s/%i to %s/%i\n",
-	       xstrdup (cgraph_node_name (src)), src->symbol.order,
-	       xstrdup (cgraph_node_name (dst)), dst->symbol.order);
+	       xstrdup (cgraph_node_name (src)), src->order,
+	       xstrdup (cgraph_node_name (dst)), dst->order);
     }
   dst->count += src->count;
 
@@ -652,7 +652,7 @@ ipa_merge_profiles (struct cgraph_node *dst,
      If declaration is merged, we need to duplicate it to be able
      to load body that is being replaced.  This makes symbol table
      temporarily inconsistent.  */
-  if (src->symbol.decl == dst->symbol.decl)
+  if (src->decl == dst->decl)
     {
       void **slot;
       struct lto_in_decl_state temp;
@@ -660,32 +660,32 @@ ipa_merge_profiles (struct cgraph_node *dst,
 
       /* We are going to move the decl, we want to remove its file decl data.
 	 and link these with the new decl. */
-      temp.fn_decl = src->symbol.decl;
-      slot = htab_find_slot (src->symbol.lto_file_data->function_decl_states,
+      temp.fn_decl = src->decl;
+      slot = htab_find_slot (src->lto_file_data->function_decl_states,
 			     &temp, NO_INSERT);
       state = (lto_in_decl_state *)*slot;
-      htab_clear_slot (src->symbol.lto_file_data->function_decl_states, slot);
+      htab_clear_slot (src->lto_file_data->function_decl_states, slot);
       gcc_assert (state);
 
       /* Duplicate the decl and be sure it does not link into body of DST.  */
-      src->symbol.decl = copy_node (src->symbol.decl);
-      DECL_STRUCT_FUNCTION (src->symbol.decl) = NULL;
-      DECL_ARGUMENTS (src->symbol.decl) = NULL;
-      DECL_INITIAL (src->symbol.decl) = NULL;
-      DECL_RESULT (src->symbol.decl) = NULL;
+      src->decl = copy_node (src->decl);
+      DECL_STRUCT_FUNCTION (src->decl) = NULL;
+      DECL_ARGUMENTS (src->decl) = NULL;
+      DECL_INITIAL (src->decl) = NULL;
+      DECL_RESULT (src->decl) = NULL;
 
       /* Associate the decl state with new declaration, so LTO streamer
  	 can look it up.  */
-      state->fn_decl = src->symbol.decl;
-      slot = htab_find_slot (src->symbol.lto_file_data->function_decl_states,
+      state->fn_decl = src->decl;
+      slot = htab_find_slot (src->lto_file_data->function_decl_states,
 			     state, INSERT);
       gcc_assert (!*slot);
       *slot = state;
     }
   cgraph_get_body (src);
   cgraph_get_body (dst);
-  srccfun = DECL_STRUCT_FUNCTION (src->symbol.decl);
-  dstcfun = DECL_STRUCT_FUNCTION (dst->symbol.decl);
+  srccfun = DECL_STRUCT_FUNCTION (src->decl);
+  dstcfun = DECL_STRUCT_FUNCTION (dst->decl);
   if (n_basic_blocks_for_function (srccfun)
       != n_basic_blocks_for_function (dstcfun))
     {
@@ -773,7 +773,7 @@ ipa_merge_profiles (struct cgraph_node *dst,
 	  gcc_assert (!e->speculative);
 	  e->count = gimple_bb (e->call_stmt)->count;
 	  e->frequency = compute_call_stmt_bb_frequency
-			     (dst->symbol.decl,
+			     (dst->decl,
 			      gimple_bb (e->call_stmt));
 	}
       for (e = dst->indirect_calls; e; e = e->next_callee)
@@ -781,14 +781,14 @@ ipa_merge_profiles (struct cgraph_node *dst,
 	  gcc_assert (!e->speculative);
 	  e->count = gimple_bb (e->call_stmt)->count;
 	  e->frequency = compute_call_stmt_bb_frequency
-			     (dst->symbol.decl,
+			     (dst->decl,
 			      gimple_bb (e->call_stmt));
 	}
       cgraph_release_function_body (src);
       inline_update_overall_summary (dst);
     }
   /* TODO: if there is no match, we can scale up.  */
-  src->symbol.decl = oldsrcdecl;
+  src->decl = oldsrcdecl;
 }
 
 /* Return true if call to DEST is known to be self-recusive call withing FUNC.   */
@@ -799,6 +799,6 @@ recursive_call_p (tree func, tree dest)
   struct cgraph_node *dest_node = cgraph_get_create_node (dest);
   struct cgraph_node *cnode = cgraph_get_create_node (func);
 
-  return symtab_semantically_equivalent_p ((symtab_node)dest_node,
-					   (symtab_node)cnode);
+  return symtab_semantically_equivalent_p (dest_node,
+					   cnode);
 }
diff --git a/gcc/ipa.c b/gcc/ipa.c
index 37b6629..408c690 100644
--- a/gcc/ipa.c
+++ b/gcc/ipa.c
@@ -42,12 +42,12 @@ cgraph_non_local_node_p_1 (struct cgraph_node *node, void *data ATTRIBUTE_UNUSED
 {
    /* FIXME: Aliases can be local, but i386 gets thunks wrong then.  */
    return !(cgraph_only_called_directly_or_aliased_p (node)
-	    && !ipa_ref_has_aliases_p (&node->symbol.ref_list)
-	    && node->symbol.definition
-	    && !DECL_EXTERNAL (node->symbol.decl)
-	    && !node->symbol.externally_visible
-	    && !node->symbol.used_from_other_partition
-	    && !node->symbol.in_other_partition);
+	    && !ipa_ref_has_aliases_p (&node->ref_list)
+	    && node->definition
+	    && !DECL_EXTERNAL (node->decl)
+	    && !node->externally_visible
+	    && !node->used_from_other_partition
+	    && !node->in_other_partition);
 }
 
 /* Return true when function can be marked local.  */
@@ -75,7 +75,7 @@ has_addr_references_p (struct cgraph_node *node,
   int i;
   struct ipa_ref *ref;
 
-  for (i = 0; ipa_ref_list_referring_iterate (&node->symbol.ref_list,
+  for (i = 0; ipa_ref_list_referring_iterate (&node->ref_list,
 					      i, ref); i++)
     if (ref->use == IPA_REF_ADDR)
       return true;
@@ -110,13 +110,13 @@ enqueue_node (symtab_node node, symtab_node *first,
 	      struct pointer_set_t *reachable)
 {
   /* Node is still in queue; do nothing.  */
-  if (node->symbol.aux && node->symbol.aux != (void *) 2)
+  if (node->aux && node->aux != (void *) 2)
     return;
   /* Node was already processed as unreachable, re-enqueue
      only if it became reachable now.  */
-  if (node->symbol.aux == (void *)2 && !pointer_set_contains (reachable, node))
+  if (node->aux == (void *)2 && !pointer_set_contains (reachable, node))
     return;
-  node->symbol.aux = *first;
+  node->aux = *first;
   *first = node;
 }
 
@@ -134,18 +134,18 @@ process_references (struct ipa_ref_list *list,
     {
       symtab_node node = ref->referred;
 
-      if (node->symbol.definition && !node->symbol.in_other_partition
-	  && ((!DECL_EXTERNAL (node->symbol.decl) || node->symbol.alias)
+      if (node->definition && !node->in_other_partition
+	  && ((!DECL_EXTERNAL (node->decl) || node->alias)
 	      || (before_inlining_p
 		  /* We use variable constructors during late complation for
 		     constant folding.  Keep references alive so partitioning
 		     knows about potential references.  */
-		  || (TREE_CODE (node->symbol.decl) == VAR_DECL
+		  || (TREE_CODE (node->decl) == VAR_DECL
 		      && flag_wpa
-		      && ctor_for_folding (node->symbol.decl)
+		      && ctor_for_folding (node->decl)
 		         != error_mark_node))))
 	pointer_set_insert (reachable, node);
-      enqueue_node ((symtab_node) node, first, reachable);
+      enqueue_node (node, first, reachable);
     }
 }
 
@@ -224,9 +224,9 @@ symtab_remove_unreachable_nodes (bool before_inlining_p, FILE *file)
     fprintf (file, "\nReclaiming functions:");
 #ifdef ENABLE_CHECKING
   FOR_EACH_FUNCTION (node)
-    gcc_assert (!node->symbol.aux);
+    gcc_assert (!node->aux);
   FOR_EACH_VARIABLE (vnode)
-    gcc_assert (!vnode->symbol.aux);
+    gcc_assert (!vnode->aux);
 #endif
   /* Mark functions whose bodies are obviously needed.
      This is mostly when they can be referenced externally.  Inline clones
@@ -235,29 +235,29 @@ symtab_remove_unreachable_nodes (bool before_inlining_p, FILE *file)
   FOR_EACH_FUNCTION (node)
     {
       node->used_as_abstract_origin = false;
-      if (node->symbol.definition
+      if (node->definition
 	  && !node->global.inlined_to
-	  && !node->symbol.in_other_partition
+	  && !node->in_other_partition
 	  && (!cgraph_can_remove_if_no_direct_calls_and_refs_p (node)
 	      /* Keep around virtual functions for possible devirtualization.  */
 	      || (before_inlining_p
-		  && DECL_VIRTUAL_P (node->symbol.decl))))
+		  && DECL_VIRTUAL_P (node->decl))))
 	{
 	  gcc_assert (!node->global.inlined_to);
 	  pointer_set_insert (reachable, node);
-	  enqueue_node ((symtab_node)node, &first, reachable);
+	  enqueue_node (node, &first, reachable);
 	}
       else
-	gcc_assert (!node->symbol.aux);
+	gcc_assert (!node->aux);
      }
 
   /* Mark variables that are obviously needed.  */
   FOR_EACH_DEFINED_VARIABLE (vnode)
     if (!varpool_can_remove_if_no_refs (vnode)
-	&& !vnode->symbol.in_other_partition)
+	&& !vnode->in_other_partition)
       {
 	pointer_set_insert (reachable, vnode);
-	enqueue_node ((symtab_node)vnode, &first, reachable);
+	enqueue_node (vnode, &first, reachable);
       }
 
   /* Perform reachability analysis.  */
@@ -266,34 +266,34 @@ symtab_remove_unreachable_nodes (bool before_inlining_p, FILE *file)
       bool in_boundary_p = !pointer_set_contains (reachable, first);
       symtab_node node = first;
 
-      first = (symtab_node)first->symbol.aux;
+      first = (symtab_node)first->aux;
 
       /* If we are processing symbol in boundary, mark its AUX pointer for
 	 possible later re-processing in enqueue_node.  */
       if (in_boundary_p)
-	node->symbol.aux = (void *)2;
+	node->aux = (void *)2;
       else
 	{
-	  if (DECL_ABSTRACT_ORIGIN (node->symbol.decl))
+	  if (DECL_ABSTRACT_ORIGIN (node->decl))
 	    {
 	      struct cgraph_node *origin_node
-	      = cgraph_get_create_real_symbol_node (DECL_ABSTRACT_ORIGIN (node->symbol.decl));
+	      = cgraph_get_create_real_symbol_node (DECL_ABSTRACT_ORIGIN (node->decl));
 	      origin_node->used_as_abstract_origin = true;
-	      enqueue_node ((symtab_node) origin_node, &first, reachable);
+	      enqueue_node (origin_node, &first, reachable);
 	    }
 	  /* If any symbol in a comdat group is reachable, force
 	     all other in the same comdat group to be also reachable.  */
-	  if (node->symbol.same_comdat_group)
+	  if (node->same_comdat_group)
 	    {
 	      symtab_node next;
-	      for (next = node->symbol.same_comdat_group;
+	      for (next = node->same_comdat_group;
 		   next != node;
-		   next = next->symbol.same_comdat_group)
+		   next = next->same_comdat_group)
 		if (!pointer_set_insert (reachable, next))
-		  enqueue_node ((symtab_node) next, &first, reachable);
+		  enqueue_node (next, &first, reachable);
 	    }
 	  /* Mark references as reachable.  */
-	  process_references (&node->symbol.ref_list, &first,
+	  process_references (&node->ref_list, &first,
 			      before_inlining_p, reachable);
 	}
 
